.jsonTreeContainer {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 0.5s cubic-bezier(0.56, 0.1, 0.34, 0.91);
    padding: 0;
}

.jsonTreeContainer > * {
    margin: 0;
}

.jsonTreeContainer_show {
    grid-template-rows: 1fr;
}

.json-spoiler-math-btn {
    transform: scale(0.8);
    padding: 0.1rem 0.2rem 0;
    position: relative;
    left: 4px;
}

.jsonTreeList {
    display: flex;
    flex-direction: column;
    gap: 0;
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.jsonTreeList ul {
    margin-left: 10px;
    padding-left: 0px;
}

.jsonTreeList .jsonTreeList:not(:has(> .jsonTreeList__item_button)) {
    margin-bottom: 2px;
}

.jsonTreeList__paragraph > .jsonTreeContainer > .jsonTreeList > .jsonTreeList__item_circle {
    margin-left: 1.5rem !important;
}
.json-tree > .jsonTreeContainer > .jsonTreeList > .jsonTreeList__item_circle {
    margin-left: 1rem !important;
}

.jsonTreeList__item_circle,
.jsonTreeList__item_disc {
    position: relative;
    margin-left: 6px;
}
.jsonTreeList__item_empty::before {
    display: none;
}

.jsonTreeList__item_circle::before {
    position: absolute;
    top: 6px;
    left: -10px;
    /*content: '»';*/
    content: "";
    width: 5px;
    height: 5px;
    border-radius: 50px;
    border: 1px solid #585858;
}

.jsonTreeList__item_disc::before {
    position: absolute;
    top: 6px;
    left: -9px;
    content: "»";
    content: "";
    width: 4px;
    height: 4px;
    border-radius: 50px;
    border: 1px solid #c0c0c0;
    background: #c0c0c0;
}

.jsonTreeList__item {
    margin-left: 15px;
    margin-bottom: 3px;
}

.jsonTreeList__item:first-child {
    margin-left: 0;
    margin-bottom: 7px;
}

.jsonTreeList__item:first-child p:before {
    content: "Материнская площадка";
    position: absolute;
    margin: 14px 0 0 23px;
    font-size: 10px;
    color: rgba(0, 0, 0, 0.5);
}

.jsonTreeList__item_colored {
    background: rgba(0, 255, 0, 0.02);
}

.jsonTreeList__item_icon {
    /*display: grid;*/
    /*grid-template-columns: 25px auto;*/
    /*gap:10px;*/
    padding-right: 5px;
    box-sizing: border-box;
}
.jsonTreeList__paragraph .jsonTreeList__icon {
    top: 0;
}
.jsonTreeList__icon {
    height: 1.2em;
    width: 1.2em;
    border-radius: 100px;
    box-sizing: border-box;
    display: inline-block;
    margin: 5px 3px 0 0;
    overflow: hidden;
    position: relative;
    top: 4px;
    margin-top: 0;
}

.jsonTreeList__icon img {
    overflow: hidden;
    object-fit: contain;
    max-height: 100%;
    /*height: 1.5em;*/
    /*max-height: 25px;*/
    /*max-width: 25px;*/
}
.jsonTreeList__image {
    object-fit: cover;
    max-height: 25px;
    max-width: 25px;
    margin-right: 3px;
}
.jsonTreeBase {
    border-bottom: 1px solid #f5f5f5;
    transition: min-height 0.5s cubic-bezier(0.56, 0.1, 0.34, 0.91);
}
.jsonTreeBase.json-tree-eval .row {
    background: transparent !important;
}

.jsonTreeBase_hidden {
    min-height: 0;
    border-bottom: none;
}
.jsonTreeBase_centred {
    display: flex;
    justify-content: center;
    align-items: center;
}

.h_general-table .base-table__item:nth-child(even) {
    background-color: transparent;
}
.h_general-table > div {
    background-color: #ffffff;
}
.h_general-table > div.jsonTreeBase_even {
    background-color: #fafafa !important;
}
.h_general-table > div.jsonTreeBase_odd {
    background-color: #ffffff !important;
}
.h_general-row.base-table__item {
    padding: 12px 7px;
}

@media (min-width: 1200px) and (max-width: 1300px) {
    .h_general-row.base-table__item {
        padding: 12px 3px;
    }
}
@media (min-width: 991px) and (max-width: 1200px) {
    .h_general-row.base-table__item {
        padding: 12px 0;
    }
}
@media (max-width: 991px) {
    .h_general-row.base-table__item {
        padding: 12px;
    }
}
